<?php

$modversion['name'] = _MI_CINEMARU_NAME;
$modversion['version'] = 0.7;
$modversion['description'] = _MI_CINEMARU_DESC;
$modversion['credits'] = "Masahiko Tokita";
$modversion['author'] = "Masahiko Tokita http://tokita.net/";
$modversion['help'] = "cinemaru.html";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/slogo.png";
$modversion['dirname'] = "cinemaru";

$modversion['sqlfile']['mysql'] = "sql/mysql.sql";
//$modversion['sqlfile']['postgresql'] = "sql/pgsql.sql";

// Tables created by sql file (without prefix!)
$modversion['tables'][0] = "cinemaru_movie";
$modversion['tables'][1] = "cinemaru_comment";
$modversion['tables'][2] = "cinemaru_tags";
$modversion['tables'][3] = "cinemaru_tag_movie";
$modversion['tables'][4] = "cinemaru_report";
$modversion['tables'][5] = "cinemaru_genre";

// Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Search
$modversion['hasSearch'] = 1;
$modversion['search']['file'] = "include/search.inc.php";
$modversion['search']['func'] = "cinemaru_search";

// Main contents
$modversion['hasMain'] = 1;

// Templates
$modversion['templates'][1]['file'] = 'cinemaru_index.html';
$modversion['templates'][1]['description'] = '';
$modversion['templates'][2]['file'] = 'cinemaru_movie_form.html';
$modversion['templates'][2]['description'] = '';
$modversion['templates'][3]['file'] = 'cinemaru_movie.html';
$modversion['templates'][3]['description'] = '';
$modversion['templates'][4]['file'] = 'cinemaru_movie_delete.html';
$modversion['templates'][4]['description'] = '';
$modversion['templates'][5]['file'] = 'cinemaru_comment_list.html';
$modversion['templates'][5]['description'] = '';
$modversion['templates'][6]['file'] = 'cinemaru_thumb_part.html';
$modversion['templates'][6]['description'] = '';
$modversion['templates'][7]['file'] = 'cinemaru_thumb.html';
$modversion['templates'][7]['description'] = '';
$modversion['templates'][8]['file'] = 'cinemaru_list.html';
$modversion['templates'][8]['description'] = '';
$modversion['templates'][9]['file'] = 'cinemaru_list_part.html';
$modversion['templates'][9]['description'] = '';
$modversion['templates'][10]['file'] = 'cinemaru_report_form.html';
$modversion['templates'][10]['description'] = '';
$modversion['templates'][11]['file'] = 'cinemaru_report_list.html';
$modversion['templates'][11]['description'] = '';

// Blocks
$modversion['blocks'][1]['file'] = "cinemaru_block_random.php";
$modversion['blocks'][1]['name'] = _MI_CINEMARU_BLOCK_RANDOM;
$modversion['blocks'][1]['description'] = "CINEMARU BLOCK RANDOM";
$modversion['blocks'][1]['show_func'] = "b_cinemaru_block_random";
$modversion['blocks'][1]['template'] = "cinemaru_block_random.html";

$modversion['blocks'][2]['file'] = "cinemaru_block_thumb.php";
$modversion['blocks'][2]['name'] = _MI_CINEMARU_BLOCK_THUMB;
$modversion['blocks'][2]['description'] = "CINEMARU BLOCK THUMB";
$modversion['blocks'][2]['show_func'] = "b_cinemaru_block_thumb";
$modversion['blocks'][2]['edit_func'] = "b_cinemaru_block_thumb_edit";
$modversion['blocks'][2]['options'] = "counter|10|25";
$modversion['blocks'][2]['template'] = "cinemaru_block_thumb.html";

// submenu
//$modversion['sub'][1]['name'] = _MI_CINEMARU_SUBMIT;
//$modversion['sub'][1]['url'] = 'movie_form.php';


// Notification
$modversion['hasNotification'] = 1;
$modversion['notification']['lookup_file'] = 'include/notification.inc.php';
$modversion['notification']['lookup_func'] = 'cinemaru_notify_iteminfo';

$modversion['notification']['category'][1]['name'] = 'global';
$modversion['notification']['category'][1]['title'] = _MI_CINEMARU_GLOBAL_NOTIFY;
$modversion['notification']['category'][1]['description'] = _MI_CINEMARU_GLOBAL_NOTIFYDSC;
$modversion['notification']['category'][1]['subscribe_from'] = array('index.php', 'views.php', 'regist.php');

$modversion['notification']['event'][1]['name'] = 'new_post';
$modversion['notification']['event'][1]['category'] = 'global';
$modversion['notification']['event'][1]['title'] = _MI_CINEMARU_GLOBAL_NEWPOST_NOTIFY;
$modversion['notification']['event'][1]['caption'] = _MI_CINEMARU_GLOBAL_NEWPOST_NOTIFYCAP;
$modversion['notification']['event'][1]['description'] = _MI_CINEMARU_GLOBAL_NEWPOST_NOTIFYDSC;
$modversion['notification']['event'][1]['mail_template'] = 'global_newpost_notify';
$modversion['notification']['event'][1]['mail_subject'] = _MI_CINEMARU_GLOBAL_NEWPOST_NOTIFYSBJ;

$modversion['notification']['event'][2]['name'] = 'update';
$modversion['notification']['event'][2]['category'] = 'global';
$modversion['notification']['event'][2]['title'] = _MI_CINEMARU_GLOBAL_UPDATE_NOTIFY;
$modversion['notification']['event'][2]['caption'] = _MI_CINEMARU_GLOBAL_UPDATE_NOTIFYCAP;
$modversion['notification']['event'][2]['description'] = _MI_CINEMARU_GLOBAL_UPDATE_NOTIFYDSC;
$modversion['notification']['event'][2]['mail_template'] = 'global_update_notify';
$modversion['notification']['event'][2]['mail_subject'] = _MI_CINEMARU_GLOBAL_UPDATE_NOTIFYSBJ;


// Config Settings
$modversion['hasconfig'] = 1;

$modversion['config'][1] = array( 
		'name'                  => 'cinemaru_movie_max_size' ,
		'title'                 => '_MI_CINEMARU_MOVIE_MAX_SIZE' ,
		'description'   => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_MOVIE_MAX_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][2] = array( 
		'name'                  => 'tag_size' ,
		'title'                 => '_MI_CINEMARU_TAG_MAX_SIZE' ,
		'description'   => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_TAG_MAX_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][3] = array( 
		'name'                  => 'num_of_tag' ,
		'title'                 => '_MI_CINEMARU_NUM_OF_TAG' ,
		'description'   => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_NUM_OF_TAG_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][4] = array( 
		'name'                  => 'tag_encoding' ,
		'title'                 => '_MI_CINEMARU_TAG_ENCODING' ,
		'description'   => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_TAG_ENCODING_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][5] = array(
		'name'                  => 'num_of_sumb' ,
		'title'                 => '_MI_CINEMARU_NUM_OF_THUMB' ,
		'description'   => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_NUM_OF_THUMB_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][6] = array(
		'name'                  => 'thumb_bgcolor' ,
		'title'                 => '_MI_CINEMARU_THUMB_BGCOLOR' ,
		'description'           => _MI_CINEMARU_THUMB_BGCOLOR_DESC ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_THUMB_BGCOLOR_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][7] = array(
		'name'                  => 'show_user_id' ,
		'title'                 => '_MI_CINEMARU_SHOW_USER_ID' ,
		'description'           => _MI_CINEMARU_SHOW_USER_ID_DESC ,
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SHOW_USER_ID_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SHOW_USER_ID_OK'=>1,
						  '_MI_CINEMARU_SHOW_USER_ID_NG'=>0,
						  )
) ;
$modversion['config'][8] = array(
		'name'                  => 'name_setting' ,
		'title'                 => '_MI_CINEMARU_NAME_SETTING' ,
		'description'   => '' ,
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => '0' ,
		'options'               => array( '_MI_CINEMARU_SET_NAME'=>0 ,
						  '_MI_CINEMARU_SET_UNAME'=>1,
						  '_MI_CINEMARU_SET_NAME_AND_UNAME'=>2,
 						  '_MI_CINEMARU_SET_UNAME_OR_NAME'=>3
                                                )
) ;
$modversion['config'][9] = array(
		'name'                  => 'show_avatar' ,
		'title'                 => '_MI_CINEMARU_SHOW_AVATAR' ,
		'description'           => '',
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SHOW_AVATAR_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SHOW_AVATAR_OK'=>1,
						  '_MI_CINEMARU_SHOW_AVATAR_NG'=>0,
						  )
) ;
$modversion['config'][10] = array(
		'name'                  => 'show_name_comment_list' ,
		'title'                 => '_MI_CINEMARU_SHOW_NAME_CLIST' ,
		'description'           => '',
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SHOW_NAME_CLIST_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SHOW_NAME_CLIST_OK'=>1,
						  '_MI_CINEMARU_SHOW_NAME_CLIST_NG'=>0,
						  )
) ;
$modversion['config'][11] = array(
		'name'                  => 'guest_user_name' ,
		'title'                 => '_MI_CINEMARU_GUEST_USER_NAME' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_GUEST_USER_NAME_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][12] = array(
		'name'                  => 'show_name_movie' ,
		'title'                 => '_MI_CINEMARU_SHOW_NAME_MOVIE' ,
		'description'           => '',
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SHOW_NAME_MOVIE_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SHOW_NAME_MOVIE_OK'=>1,
						  '_MI_CINEMARU_SHOW_NAME_MOVIE_NG'=>0,
						  )
) ;
$modversion['config'][13] = array(
		'name'                  => 'show_report_link' ,
		'title'                 => '_MI_CINEMARU_SHOW_REPORT_LINK' ,
		'description'           => '',
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SHOW_REPORT_LINK_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SHOW_REPORT_LINK_OK'=>1,
						  '_MI_CINEMARU_SHOW_REPORT_LINK_NG'=>0,
						  )
) ;
$modversion['config'][14] = array(
		'name'                  => 'sp_command1' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND1' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND1_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][15] = array(
		'name'                  => 'sp_command1_url' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND1_URL' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND1_URL_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][16] = array(
		'name'                  => 'sp_command1_random' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND1_RAND' ,
		'description'           => '' ,
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SP_COMMAND1_RANDOM_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SP_RANDOM_OK'=>1,
						  '_MI_CINEMARU_SP_RANDOM_NG'=>0,
						  )
) ;
$modversion['config'][17] = array(
		'name'                  => 'sp_command2' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND2' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND2_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][18] = array(
		'name'                  => 'sp_command2_url' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND2_URL' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND2_URL_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][19] = array(
		'name'                  => 'sp_command2_random' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND2_RAND' ,
		'description'           => '' ,
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SP_COMMAND2_RANDOM_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SP_RANDOM_OK'=>1,
						  '_MI_CINEMARU_SP_RANDOM_NG'=>0,
						  )
) ;
$modversion['config'][20] = array(
		'name'                  => 'sp_command3' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND3' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND3_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][21] = array(
		'name'                  => 'sp_command3_url' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND3_URL' ,
		'description'           => '' ,
		'formtype'              => 'textbox' ,
		'valuetype'             => 'text' ,
		'default'               => _MI_CINEMARU_SP_COMMAND3_URL_DEFAULT,
		'options'               => array()
) ;
$modversion['config'][22] = array(
		'name'                  => 'sp_command3_random' ,
		'title'                 => '_MI_CINEMARU_SP_COMMAND3_RAND' ,
		'description'           => '' ,
		'formtype'              => 'select' ,
		'valuetype'             => 'int' ,
		'default'               => _MI_CINEMARU_SP_COMMAND3_RANDOM_DEFAULT,
		'options'               => array( '_MI_CINEMARU_SP_RANDOM_OK'=>1,
						  '_MI_CINEMARU_SP_RANDOM_NG'=>0,
						  )
) ;
$modversion['config'][23] = array( 
                'name'                  => 'richtext' ,
                'title'                 => '_MI_CINEMARU_RICHTEXT' ,
                'description'   => '' ,
                'formtype'              => 'select' ,
                'valuetype'             => 'int' ,
                'default'               => 1 ,
                'options'               => array( 
		    '_MI_CINEMARU_USE_RICHTEXT'=> 1,
		    '_MI_CINEMARU_USE_PLAINTEXT'=> 0
	       )
) ;

